/*
 * FileUtils.java
 *
 * Copyright (c) 2005 Bernhard Fischer.
 * This file is part of TopGMap. TopGMap is free software; it is
 * published under the terms of the GNU General Public License.
 */

package de.bfisch.io;


public class FileUtils {
    
    
    public static String coreName(String fileName) {
        int extIndex = fileName.lastIndexOf('.');
        String baseName = extIndex > 0 ? fileName.substring(0, extIndex) : fileName;
        return baseName;
    }
    
    
    public static String nameExt(String fileName) {
        int extIndex = fileName.lastIndexOf('.');
        String nameExt = extIndex > 0 ? fileName.substring(extIndex + 1) : null;
        return nameExt;
    }
    
}