::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::  TopGMap Start Script
::
::  Copyright (c) 2005 Bernhard Fischer.
::  This file is part of TopGMap. TopGMap is free software; it is
::  published under the terms of the GNU General Public License.
::
::  Author : Bernhard Fischer
::  Version: 1.0
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:@echo off

:: System
:set ProgramFiles=C:\Programme

:: TopGMap Home
set TOPGMAP_HOME=..

:: Development environment
:set TOPGMAP_CP=%TOPGMAP_HOME%\classes

:: Production environment
set TOPGMAP_CP=%TOPGMAP_HOME%\lib\TopGMap.jar

:: Java 2 Platform, Standard Edition (J2SE)
:set JAVA_HOME=%ProgramFiles%\jdk1.5.0_04
:set PATH=%JAVA_HOME%\bin

:: ini4j
:set INI4J_HOME=%ProgramFiles%\ini4j-0.2.3
set INI4J_CP=%TOPGMAP_HOME%\lib\ini4j.jar

:: Java Virtual Machine Options
set CP=%TOPGMAP_CP%;%INI4J_CP%
set JVM_OPTS=-cp "%CP%"

:: Data Input  Path
set DATA_IN=%TOPGMAP_HOME%\data\Example.ovl

:: Data Output Path
set DATA_OUT=%TOPGMAP_HOME%\data\Example.gpx

:: TopGMap Options
set TOPGMAP_OPTS=-i "%DATA_IN%" -o "%DATA_OUT%"

:: Run JVM
java %JVM_OPTS% de.bfisch.gis.TopGMap %TOPGMAP_OPTS%

pause

:::::::::::::::::::::::::::::::::::::::::::
::  End of TopGMap Start Script
:::::::::::::::::::::::::::::::::::::::::::
