/*
 * NullInputStream.java
 *
 * Copyright (c) 2005 Bernhard Fischer.
 * This file is part of TopGMap. TopGMap is free software; it is
 * published under the terms of the GNU General Public License.
 */

package de.bfisch.io;

import java.io.IOException;
import java.io.InputStream;


public class NullInputStream extends InputStream {
    
    public static final int EOF    = -1;
    
    
    public int read() throws IOException {
        return EOF;
    }
    
}
